# WidgetKit

A kit of widgets that are (almost) always needed in the different Flutter apps.

## List of Widgets

- [Shared](#shared): Widgets that can be used globally, regardless of which app you are based off(Material or Cupertino).
- [Material](#material): Widgets for MaterialApp based apps or for the Material look and feel.
- [Cupertino](#cupertino) **(Coming Soon!)**: Widgets for CupertinoApp based apps or for the Cupertino(iOS) look and feel.

### Shared

#### HideKeyboardOnTouchOutside

A widget that you can use to wrap other widgets (like a Scaffold or a Form) that usually contain inputs, this will help hide the keyboard when touching outside.

#### AutolinkText

A text widget, that turns URLs, email and phone numbers into clickable inline links in text for flutter. For the moment, it's a null safe version of FogNature's [AutolinkText](https://github.com/FogNature/flutter_autolink_text).

### Material

#### PasswordTextField

A widget that allows you to show or hide the password already embedded.

#### ChipSelection

A widget that provides an easy way to create a single or multiple selection chips. For the moment, it's a null safe version of davigmacode's [ChipsChoice](https://github.com/davigmacode/flutter_chips_choice).

### Cupertino

#### Coming Soon
